#!/bin/sh

case "$1" in
    echo)
        shift
        echo $@
        ;;

    logs)
        shift
        docker-compose logs -f --tail=0
        ;;

    postgres)
        shift
        case "$1" in
            bash)
                docker-compose exec postgres bash
                ;;
            *)
                echo "You have to choose a subcommand too, dummy."
                ;;
        esac
        ;;

    psql)
        shift
        docker-compose exec postgres psql -U peertube -d peertube_prod $@
        ;;

    *)
        echo "You have to choose a command, dummy."
        ;;
esac
